#spring.datasource.url=jdbc:mysql://192.168.10.42:3306/stmms-ms-2-1?useUnicode=true&characterEncoding=UTF-8
#spring.datasource.username=root
#spring.datasource.password=root

spring.datasource.url=jdbc:mysql://localhost:3306/stmms-ms-3?useUnicode=true&characterEncoding=UTF-8
spring.datasource.username=root
spring.datasource.password=123456789

spring.datasource.validation-query=SELECT 1 FROM DUAL
spring.datasource.test-on-borrow=true

#redis
#spring.redis.host=192.168.199.102
#spring.redis.port=32768

server.port=9000
server.compression.enabled=true
server.compression.mime-types: application/json,application/xml,text/html,text/xml,text/plain,text/css,application/javascript


logging.file=./logs/sys.log
#logging.level.root上线改为error
logging.level.root=info
logging.level.org.springframework=info
logging.level.org.hibernate=info

spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=update


spring.http.multipart.max-file-size=10Mb
app.config.roundUp=true
app.config.deviation=4
app.config.majority=true
#超级管理员账号
app.admin.loginName=admin-cy
#超级管理员密码
app.admin.password=123456
#采集端-超级管理员账号
#app.client.loginName=client-cy
#采集端-超级管理员密码
#app.client.password=123456
#客户端-超级管理员账号
app.upload.loginName=upload-cy
#客户端-超级管理员密码
app.upload.password=123456
#纪检角色账号
app.inspection.loginName=inspection-cy
#纪检角色密码
app.inspection.password=123456

sys.config.imageDir=/Users/king/stmms-ms/static/images
sys.config.thumbDir=/Users/king/stmms-ms/static/thumbs
sys.config.sheetDir=/Users/king/stmms-ms/static/sheet
sys.config.watermark=/Users/king/stmms-ms/static/watermark
#是否开启图片加密
sys.open.imageEnc=false
#是否开启自定义科目考试
sys.open.customSubject=true
#是否开启档位仲裁自动打回
sys.level.autoCallback=true
#sys.config.imageDir=.\\static\\images
#sys.config.thumbDir=.\\static\\thumbs
sys.config.compression.percent=60
#sys.config.imageServer.port=3000
sys.config.imageServer.port=9000
sys.config.imageServer.ip=localhost
sys.config.imageServer.aliyunOss=true
sys.config.imageServer.dir=ms_test

#打分阶段配置是否启用(为false则不启用打分阶段分档)
score.level.enable=false
#打分阶段配置过滤档位(可选一个或多个档位，多个档位用","号隔开)
score.level.exclude=
#打分阶段配置档位排序规则(可选random/paper，为paper时，score.level.exclude置为空)
score.level.taskSort=paper

#样例1
#score.level.exclude=K
#score.level.taskSort=random
#样例2
#score.level.exclude=
#score.level.taskSort=paper

#\u524d\u7aef\u9759\u6001\u8d44\u6e90\u76ee\u5f55
web.upload-path=/Users/king/stmms-ms/static/
spring.mvc.static-path-pattern=/**
spring.resources.static-locations=classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:${web.upload-path}

app.snapshot.initsql=/Users/yuanpan/dumps/stmms-ms-2-init.sql
app.snapshot.fdsql=/Users/yuanpan/dumps/stmms-ms-2-fendang.sql
app.snapshot.dfsql=/Users/yuanpan/dumps/stmms-ms-2-dafen.sql
app.snapshot.fpsql=/Users/yuanpan/dumps/stmms-ms-2-fuping.sql

#阿里云OSS配置
aliyun.oss.endpointInner=http://oss-cn-beijing-internal.aliyuncs.com
aliyun.oss.endpoint=http://oss-cn-beijing.aliyuncs.com
aliyun.oss.accessKeyId=LTAIhiBoG7CsLnoy
aliyun.oss.accessKeySecret=HqTvxO1RYiPT3SiZKv4VeoXab4AHjz
aliyun.oss.bucket=epcc-test
aliyun.oss.url=http://${aliyun.oss.bucket}.oss-cn-beijing.aliyuncs.com
aliyun.oss.imageDir=oss://${aliyun.oss.bucket}/${sys.config.imageServer.dir}/images/ -u
aliyun.oss.thumbDir=oss://${aliyun.oss.bucket}/${sys.config.imageServer.dir}/thumbs/ -u
aliyun.oss.sheetDir=oss://${aliyun.oss.bucket}/${sys.config.imageServer.dir}/sheet/ -u
aliyun.oss.watermark=oss://${aliyun.oss.bucket}/${sys.config.imageServer.dir}/watermark/ -u
aliyun.oss.util=/Users/king/ossutilmac64 cp -r